gillett.christopher Jan 24, 2013 @ 8:49am
How to get game to launch in Win7 64bit
In steam, right-click Port Royale 2 in your Library.
Go to Properties, then click the "Local Files" tab. Then click the button "Browse Local Files."
When Windows Explorer comes up, scroll down until you see PR2.exe.
Right-click and go to properties. Then click the "Compatibility" tab.
Select the checkbox "Run this program in compatibility mode for.." and then select "Windows 98/Me" from the dropdown.
Hit the Apply button.
Restart Steam.
You should now be able to launch the game.

Edit: You may have to also do this for the other two executables in your install directory (except the Uninstall exe).
Last edited by gillett.christopher; Jan 20 @ 8:38am
Showing 1-8 of 8 comments
< >
Ebannaw Mar 23, 2013 @ 3:14pm 
Nope. Definitely doesn't work. ATI Graphics drivers are what effects this. Anything above 12.8 seems to crash it.
Sebb7y Aug 19, 2013 @ 1:19am 
Originally posted by SIR CHUMPDICKS OF GAGALHARDLAND:
Nope. Definitely doesn't work. ATI Graphics drivers are what effects this. Anything above 12.8 seems to crash it.
Whattabout the graphical problem 4 water
cat say µ Dec 3, 2013 @ 12:03am 
Didn't work for me - running a gtx 560 ti, win7 home premium 64 bit. Haven't bothered attempting a driver rollback and not going to.
johnrob Dec 16, 2013 @ 1:49am 
It worked for me, AMD user running catalyst 13.9 drivers win7 64bit pro
Lord_Kalvan Jan 10 @ 6:48am 
I had to enable compatibility mode for all 3 executables in the game directory (except the uninstall executable) but then it worked for me.
But I am not sure why it is necessary in the first place to use compatibility mode with the steam version since there was a (german only?) version published a few years ago which worked without having to enable compatibility mode on vista/win7.
Ursurper Jun 4 @ 6:21am 
Doesn't work for me 2.
Fun thing is that after try to start it,you have to close the Pr2.exe in the Task Manager on Process tab.
But for fact,no matter which Game,Compatibily Mode never helped me on older Games.
Always some Mods or other workarounds.
Numaest Jun 27 @ 5:30pm 
I've got 14.4 and it eventually ran under win98/me compatibility.
turribel Jul 26 @ 7:43pm 
If you are not able to run it under compatibility, disable the DEP for PR2
Showing 1-8 of 8 comments
< >
Per page: 15 30 50